updated to 2.0.13

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Loeffel
Registered User
Posts: 124
Joined: Thu Dec 09, 2004 10:51 am
Location: Germany
Contact:

Post by Loeffel » Mon Feb 28, 2005 12:51 pm

With easymodinstaller the fastest way is first use this:

http://www.phpbb.com/phpBB/viewtopic.ph ... ght=2+0+12

and then the one I mentioned above.

Or you download the update and use the update script provided by the phpBB team.
Yours

Loeffel

Murphy: Professionals are predictable, but beware the world is full of amateurs.

User avatar
MKshjjcarr
Registered User
Posts: 110
Joined: Sun May 30, 2004 12:24 am
Location: Brantford, Ontario, Canada
Contact:

Post by MKshjjcarr » Mon Feb 28, 2005 1:20 pm

I keep trying to get the changed file program for the new update and i keep getting this msg, as with when i tried to get 2.0.12....The mirror you've selected, easynews.dl.sourceforge.net does not currently have the file you requested. (This is an error on our part which will be fixed).

You are requesting file: /phpbb/phpBB-2.0.13-files.zip
Please select a mirror

Can anyone help in getting this problem straighten out so we can obtain the files needed.

Loeffel
Registered User
Posts: 124
Joined: Thu Dec 09, 2004 10:51 am
Location: Germany
Contact:

Post by Loeffel » Mon Feb 28, 2005 1:49 pm

You must use the mirrors, mentioned in the block below. There you can download

I mean the ones beneath

(Mirrored) phpBB 2.0.13 :: 27th February 2005
Yours

Loeffel

Murphy: Professionals are predictable, but beware the world is full of amateurs.

Hitchhiker
Registered User
Posts: 10
Joined: Fri Sep 24, 2004 2:55 am
Location: Ontario, Canada
Contact:

Post by Hitchhiker » Mon Feb 28, 2005 2:13 pm

I've made the necessary changes and run the update_to_latest.php file. The file said that the update was successful, however my Admin CP still says that I'm using 2.0.12.

thebassman
Registered User
Posts: 103
Joined: Fri Mar 26, 2004 2:00 am
Location: Toronto, Ontario, Canada

Post by thebassman » Mon Feb 28, 2005 7:00 pm

Yeah, I've run the update file, but in the overal_footer.tpl, it doesn't show the version # anymore, and I was just curious why.

Loeffel
Registered User
Posts: 124
Joined: Thu Dec 09, 2004 10:51 am
Location: Germany
Contact:

Post by Loeffel » Mon Feb 28, 2005 7:29 pm

The version number in the overall_footer.tpl was removed with version 2.0.12 now you can only see it in the admin panel. It was removed to make sure that no bot evaluates the board version for an attack.
Yours

Loeffel

Murphy: Professionals are predictable, but beware the world is full of amateurs.

thebassman
Registered User
Posts: 103
Joined: Fri Mar 26, 2004 2:00 am
Location: Toronto, Ontario, Canada

Post by thebassman » Mon Feb 28, 2005 7:59 pm

THat's what I thought... thanks.

morticon
Registered User
Posts: 30
Joined: Tue Jan 27, 2004 9:03 pm
Location: Wisconsin

Post by morticon » Mon Feb 28, 2005 8:32 pm

I'm trying to use the patch file from 2.0.11 -> 2.0.13. I type the command:

Code: Select all

patch -cl -d ./ -pl phpBB-2.0.11_to_2.0.13.patch
and the response I get is:

Code: Select all

patch: **** strip count l is not a number
I may have doulbe posted this elsewhere, but it appears that my last post was never posted. Anywho, what to do?
Nik

morticon
Registered User
Posts: 30
Joined: Tue Jan 27, 2004 9:03 pm
Location: Wisconsin

Post by morticon » Mon Feb 28, 2005 9:01 pm

never mind. It appears that -pl is really -p1. man I love how l and 1 looks alike in some fonts.

however, is it supposed to take a long time to patch?
*awaits for command to finish running*
Nik

morticon
Registered User
Posts: 30
Joined: Tue Jan 27, 2004 9:03 pm
Location: Wisconsin

Post by morticon » Mon Feb 28, 2005 9:16 pm

blech. once again I type something wrong. got it to work this time. However, I'm using Aeolus, and I know about the version being removed and whatnot, but the version number in the admin panel didn't change. How to fix?

edit: I.E. the version number in the admin panel still says 2.0.11. Thanks.
Nik

Loeffel
Registered User
Posts: 124
Joined: Thu Dec 09, 2004 10:51 am
Location: Germany
Contact:

Post by Loeffel » Mon Feb 28, 2005 10:58 pm

Just as written before, run the update_to_latest.php file.
Yours

Loeffel

Murphy: Professionals are predictable, but beware the world is full of amateurs.

gayle28607
Registered User
Posts: 12
Joined: Fri Jan 24, 2003 12:28 am
Contact:

How?

Post by gayle28607 » Tue Mar 01, 2005 12:29 am

I am sorry, but how do I
run the update_to_latest.php file.
?

I have tried accessing it by going to my board with this address, http://myboard/update_to_latest.php. But I get a "file not found" error. (I checked, and the file is there.)
Gayle

flogger12
Registered User
Posts: 14936
Joined: Tue Nov 25, 2003 2:13 am

Post by flogger12 » Tue Mar 01, 2005 12:42 am

you have to create a folder named install, then put the update_to_latest.php file in it. then go to it in your browser. when it is done, then you delete the install folder and you are done.


robert

Hitchhiker
Registered User
Posts: 10
Joined: Fri Sep 24, 2004 2:55 am
Location: Ontario, Canada
Contact:

Post by Hitchhiker » Tue Mar 01, 2005 12:43 am

As I said previously, I have already successfully run the update file. Now I'm just wondering why my version number did not increment. :?

taiwanho2
Registered User
Posts: 13
Joined: Tue Mar 01, 2005 1:46 am

Post by taiwanho2 » Tue Mar 01, 2005 1:57 am

Is it possible to update the database with the new version number directly, or does the update_to_latest script do more than that?

Locked

Return to “2.0.x Support Forum”